> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Address Watch

> Deletes an address watch. Once deleted, the address is not watched anymore, no webhook is sent for it, and it won't count in your overall organisation wallet count. Watching the same address again on the same network re-activates this watch, with the same ID and the same history.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`AddressWatches:Delete`: Always required.


## OpenAPI

````yaml /openapi.yaml delete /address-watches/{addressWatchId}
openapi: 3.1.0
info:
  version: 1.1006.1
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /address-watches/{addressWatchId}:
    delete:
      tags:
        - Address Watches
      summary: Delete Address Watch
      description: >-
        Deletes an address watch. Once deleted, the address is not watched
        anymore, no webhook is sent for it, and it won't count in your overall
        organisation wallet count. Watching the same address again on the same
        network re-activates this watch, with the same ID and the same history.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^aw-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: The address watch to delete.
          required: true
          description: The address watch to delete.
          name: addressWatchId
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressWatch'
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  schemas:
    AddressWatch:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^aw-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: ID of the address watch.
          example: aw-0pbh4-7sdh4-2occ0e4r1g7obe8c
        network:
          $ref: '#/components/schemas/AddressWatchNetwork'
        address:
          type: string
          description: The watched on chain address.
        name:
          type: string
          maxLength: 100
          description: Address watch nickname.
        externalId:
          type: string
          maxLength: 100
          description: >-
            User-defined value that can be used to correlate the entity with an
            external system.
        status:
          type: string
          enum:
            - Active
            - Archived
          description: Address watch status.
        dateCreated:
          type: string
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date string when
            the address watch was created.
          example: '2026-07-03T20:41:28.715Z'
        dateDeleted:
          type: string
          description: >-
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) date string when
            the address watch was archived.
          example: '2026-07-03T20:41:28.715Z'
      required:
        - id
        - network
        - address
        - status
        - dateCreated
      additionalProperties: false
      example:
        id: aw-3f9b2-8k4m1-xxxxxxxxxxxxxxxx
        network: Ethereum
        address: '0x00e3495cf6af59008f22ffaf32d4c92ac33dac47'
        name: exchange-hot-wallet
        status: Active
        dateCreated: '2026-07-03T20:41:28.715Z'
    AddressWatchNetwork:
      type: string
      description: Network the address is watched on.
      title: Network
      enum:
        - ArbitrumOne
        - ArbitrumSepolia
        - ArcTestnet
        - AvalancheC
        - AvalancheCFuji
        - Base
        - BaseSepolia
        - Berachain
        - BerachainBepolia
        - Bob
        - BobSepolia
        - Bsc
        - BscTestnet
        - Celo
        - CeloAlfajores
        - Codex
        - CodexSepolia
        - Ethereum
        - EthereumClassic
        - EthereumClassicMordor
        - EthereumSepolia
        - EthereumHoodi
        - FlareC
        - FlareCCoston2
        - FlowEvm
        - FlowEvmTestnet
        - Ink
        - InkSepolia
        - Optimism
        - OptimismSepolia
        - Plasma
        - PlasmaTestnet
        - Plume
        - PlumeSepolia
        - Polygon
        - PolygonAmoy
        - Race
        - RaceSepolia
        - Rayls
        - RaylsTestnet
        - Robinhood
        - RobinhoodSepolia
        - SeiAtlantic2
        - SeiPacific1
        - Solana
        - SolanaDevnet
        - Sonic
        - SonicTestnet
        - Tempo
        - TempoModerato
        - Tsc
        - TscTestnet1
        - Xdc
        - XdcApothem
        - XLayer
        - XLayerSepolia
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````